
Foreman - Feature #12337

Make it possible to persist facts/reports when host is being rebuilt

10/28/2015 02:36 AM - Andreas Pfaffeneder

Status: New   

Priority: Normal   

Assignee:    

Category: Facts   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.9.2

Bugzilla link: 1277926 Red Hat JIRA:  

Pull request:    

Description

A software generates an kind of UUID when being installed. This UUID is used to connect to a third system which keeps track of the

systems reporting in by the UUID and not by a hostname/DNS-name. The UUID can be gathered via a custom fact via puppet and

also can be written by a given puppet module if the fact is available.

Upon rebuilding a host, all reports and facts are being cleared, thus making it impossible to access a fact in order to rebuild the UUID

in the conffile.

Generally I'd like to be asked whether all facts/reports should be deleted when re-building a host. Ideally I can select if only reports

and/or reports should be deleted.

Related issues:

Related to Discovery - Feature #12244: Do not delete facts during provisioning Duplicate 10/21/2015

History

#1 - 10/28/2015 04:46 AM - Dominic Cleal

- Related to Feature #12244: Do not delete facts during provisioning added

#2 - 10/28/2015 04:46 AM - Dominic Cleal

- Category set to Facts

#3 - 11/04/2015 06:29 AM - Lukas Zapletal

- Bugzilla link set to 1277926

So is a checkbox for both in the Build confirmation dialog enough?

#4 - 11/04/2015 06:30 AM - Andreas Pfaffeneder

For a user yes. Please also make this available for the API which is my use case.

#5 - 08/25/2017 03:59 AM - Tomáš Strachota

- Target version set to 115
